package com.fjhx.oa.controller.epiboly;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.epiboly.dto.EpibolyBillDto;
import com.fjhx.oa.entity.epiboly.dto.EpibolyBillSelectDto;
import com.fjhx.oa.entity.epiboly.vo.EpibolyBillVo;
import com.fjhx.oa.service.epiboly.EpibolyBillService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 外包加工账单 前端控制器
 * </p>
 *
 * @author
 * @since 2024-04-15
 */
@RestController
@RequestMapping("/epibolyBill")
public class EpibolyBillController {

    @Autowired
    private EpibolyBillService epibolyBillService;

    /**
     * 外包加工账单分页
     */
    @PostMapping("/page")
    public Page<EpibolyBillVo> page(@RequestBody EpibolyBillSelectDto dto) {
        return epibolyBillService.getPage(dto);
    }

    /**
     * 外包加工账单明细
     */
    @PostMapping("/detail")
    public EpibolyBillVo detail(@RequestBody BaseSelectDto dto) {
        return epibolyBillService.detail(dto.getId());
    }

    /**
     * 外包加工账单新增
     */
    @PostMapping("/add")
    public void add(@RequestBody EpibolyBillDto epibolyBillDto) {
        epibolyBillService.addOrEdit(epibolyBillDto);
    }

    /**
     * 外包加工账单编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody EpibolyBillDto epibolyBillDto) {
        epibolyBillService.addOrEdit(epibolyBillDto);
    }

    /**
     * 外包加工账单删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        epibolyBillService.delete(dto.getId());
    }

}
