package com.fjhx.sale.entity.contract;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@ExcelIgnoreUnannotated
public class ContractExcelBo {
    @ColumnWidth(15)
    @ExcelProperty("合同号")
    private String code;
    @ColumnWidth(15)
    @ExcelProperty("业务公司")
    private String ofCompanyName;
    @ColumnWidth(15)
    @ExcelProperty("业务部门")
    private String deptName;
    @ColumnWidth(15)
    @ExcelProperty("合同类型")
    private String contractType;
    @ColumnWidth(20)
    @ExcelProperty("订单处理方式")
    private String processingMethod;
    @ColumnWidth(15)
    @ExcelProperty("订单归属")
    private String belongType;
    @ColumnWidth(15)
    @ExcelProperty("订单状态")
    private String status;
    @ColumnWidth(15)
    @ExcelProperty("业务员")
    private String salesmanName;
    @ColumnWidth(18)
    @ExcelProperty("下单时间")
    private Date createTime;
    @ColumnWidth(18)
    @ExcelProperty("合同交期")
    private Date deliveryTime;
    @ColumnWidth(18)
    @ExcelProperty("生产交期")
    private Date prodDeliveryPeriod;
    @ColumnWidth(18)
    @ExcelProperty("下发生产时间")
    private Date orderDistributeTime;
    @ColumnWidth(25)
    @ExcelProperty("生产指示")
    private String prodTag;
    @ColumnWidth(20)
    @ExcelProperty("客户名称")
    private String buyCorporationName;
    @ColumnWidth(15)
    @ExcelProperty("已发货数量")
    private BigDecimal deliverQuantity;
    @ColumnWidth(15)
    @ExcelProperty("未出货数量")
    private BigDecimal notDeliverQuantity;
    @ColumnWidth(15)
    @ExcelProperty("是否已结清")
    private String isSettled;
    @ColumnWidth(15)
    @ExcelProperty("定金比例")
    private String advanceRatio;
    @ColumnWidth(25)
    @ExcelProperty("出货前付款比例")
    private String beforeShipmentRatio;
    @ColumnWidth(25)
    @ExcelProperty("出货后付款比例")
    private String afterShipmentRatio;
    @ColumnWidth(15)
    @ExcelProperty("合同金额")
    private String amount;
    @ColumnWidth(20)
    @ExcelProperty("累计收款金额")
    private BigDecimal sumClaimMoney;
    @ColumnWidth(15)
    @ExcelProperty("已结算金额")
    private BigDecimal settledAmount;
    @ColumnWidth(15)
    @ExcelProperty("未结算金额")
    private BigDecimal unsettledAmount;
}
